Bug 140013 - Change icon for List View in Template Manager and Remotes File dialog to be real list view, not detailed view
Summary: Change icon for List View in Template Manager and Remotes File dialog to be r...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.2.0 target:7.1.1
Keywords:
Depends on:
Blocks: 140026
  Show dependency treegraph
 
Reported: 2021-01-30 08:15 UTC by Rizal Muttaqin
Modified: 2021-02-02 06:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Detailed View in Karasa Jaga (58.09 KB, image/png)
2021-01-30 08:21 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2021-01-30 08:15:58 UTC
The icon that being used in newest Template Manager's List View (added with tdf#104154) does not reflect 'real' list view, instead it is a detailed view fro Gallery in sidebar (icon-themes/iconname/svx/res/gallist.png). List View does not need some small "folders/items" in the left hence we don't see any item in most left side.

Step to reproduce:

1. Open LibreOffice's Template Manager (File > New > Templates..)
2. See List View icon in top right

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: b7175495249958c430e16c0bad358eee0032b65a
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-01-28_20:31:16
Calc: threaded
Comment 1 Rizal Muttaqin 2021-01-30 08:21:00 UTC
Created attachment 169294 [details]
Detailed View in Karasa Jaga

We can see this icon was used in Dolphin KDE 4 compared to Karasa Jaga (which was derived from Oxygen theme)
Comment 2 Rizal Muttaqin 2021-01-30 08:24:24 UTC
This bug actually occurs also in List View for Remote Files dialog (from Start Center, select Remote Files or File > Open Remote from menu). 

@Heiko, Should I open a new separate bug?
Comment 3 Commit Notification 2021-01-30 22:28:41 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/890bcba4a1239c9001736485ef3a4dc4879a91f5

tdf#140013 change icon for list view in Template Manager & Remote Files dialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-01-31 00:56:02 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d1f2cecf96251eee25aadd04dcab24dbcaa685b9

tdf#140013 change icon for list view in Remote Files dialog

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Rizal Muttaqin 2021-02-02 06:23:48 UTC
Resolved fixed in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 15f2367cd910135f95d413515f5c28d88bfc685f
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-02-01_04:38:42
Calc: threaded